#include <assert.h>
#include "vec3.h"       //"" perché cerca nella cartella locale, mentre <> sono quelle di sistema

void unit_test_dot_cross() {
    Vec3 a(1, 4, 7);
    Vec3 b(9, 6, 5);

    Vec3 c = cross(a, b);
    Vec3 d = cross(b, a);
    c.printf();
    
    assert(c == -d);
    assert(dot(a,c) == 0);
    assert(dot(b,c) == 0);
}

void unit_test_angles() {
    Vec3 a(1, 4, 7);
    Vec3 b(9, 6, 5);

    Vec3 c = cross(a, b);

    assert(degrees_between(a, c) == 90);
    assert(are_equal(degrees_between(a, c), 90));
}

int main() {
    unit_test_dot_cross();
    unit_test_angles();
}
// TODO: interpolazione,
